import request from '@/utils/request'

// 查询京粉订单列表
export function listOrderrows(query) {
  return request({
    url: '/jarvis/orderrows/list',
    method: 'get',
    params: query
  })
}

// 查询京粉订单详细
export function getOrderrows(orderId) {
  return request({
    url: '/jarvis/orderrows/' + orderId,
    method: 'get'
  })
}

// 新增京粉订单
export function addOrderrows(data) {
  return request({
    url: '/jarvis/orderrows',
    method: 'post',
    data: data
  })
}

// 修改京粉订单
export function updateOrderrows(data) {
  return request({
    url: '/jarvis/orderrows',
    method: 'put',
    data: data
  })
}

// 删除京粉订单
export function delOrderrows(orderId) {
  return request({
    url: '/jarvis/orderrows/' + orderId,
    method: 'delete'
  })
}

// 获取订单状态下拉数据
export function getValidCodeSelectData() {
  return request({
    url: '/jarvis/orderrows/select/validCode',
    method: 'get'
  })
}

// 获取订单统计数据
export function getOrderStatistics(query) {
  return request({
    url: '/jarvis/orderrows/statistics',
    method: 'get',
    params: query
  })
}

// 回填订单商品图、店铺名（goodsInfo）
export function backfillGoodsInfo(data) {
  return request({
    url: '/system/jdorder/orderRows/backfillGoodsInfo',
    method: 'post',
    data: data,
    timeout: 300000
  })
}